RK-J - Task #2039
Task # 2006 (Closed): Show ad statistics under Reports in Admin

Store the Ad statistics in the browser storage and send the information to the backend through the

api.

01/19/2022 10:11 AM - Ayush Khandelwal

Status: Closed Start date: 01/19/2022
Priority: Normal Due date: 01/19/2022
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 2.50 hours
Description

Send this information while sending the document view count.
API request: /adsiInfo

Title: Ad statistics
Columns: Date, Views, Ad views, Ad blocker detected

When user comes from outside or reloads a page, increment Views.
When a ad is served, increment ad views.

when ad blocker is detected, increment 'ad blocker detected'.

History

#1 - 01/19/2022 10:11 AM - Ayush Khandelwal
- Description updated

#2 - 01/19/2022 10:17 AM - Rishabh Sharma

- Status changed from New to In Progress

#3 - 01/31/2022 09:54 AM - Rishabh Sharma

- Status changed from In Progress to Resolved

#4 - 02/07/2022 06:09 AM - Ayush Khandelwal
- Status changed from Resolved to Reopened

- % Done changed from 0 to 50

Testing is not done. So, reopened it.

#5 - 02/07/2022 11:42 AM - Rishabh Sharma

- Status changed from Reopened to In Progress

#6 - 02/24/2022 09:56 AM - Rishabh Sharma
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#7 - 03/03/2022 11:23 AM - Rishabh Sharma

- Status changed from Resolved to Reopened

#8 - 03/03/2022 11:24 AM - Rishabh Sharma
- % Done changed from 100 to 70

#9 - 03/03/2022 11:25 AM - Rishabh Sharma
Reopened to ensure that it sends the data only if user goes to a document page.

#10 - 03/03/2022 11:31 AM - Rishabh Sharma

- Status changed from Reopened to In Progress

#11 - 03/03/2022 11:31 AM - Rishabh Sharma
- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

#12 - 03/04/2022 01:52 PM - Rishabh Sharma
- Status changed from Resolved to Feedback

- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#13 - 10/31/2022 06:06 AM - Ayush Khandelwal
- Status changed from Feedback to Closed
